Index: trunk/include/FlairSimulator/Blade.h
===================================================================
--- trunk/include/FlairSimulator/Blade.h	(revision 9)
+++ trunk/include/FlairSimulator/Blade.h	(revision 13)
@@ -20,39 +20,33 @@
 #include <ISceneNode.h>
 
-namespace irr
-{
-    namespace scene
-    {
-        class IMesh;
-    }
+namespace irr {
+namespace scene {
+class IMesh;
+}
 }
 
-namespace flair
-{
-namespace simulator
-{
-    class MeshSceneNode;
-    class Model;
+namespace flair {
+namespace simulator {
+class MeshSceneNode;
+class Model;
 
-    class Blade : public irr::scene::ISceneNode
-    {
-        public:
+class Blade : public irr::scene::ISceneNode {
+public:
+  Blade(Model *parent,
+        const irr::core::vector3df &position = irr::core::vector3df(0, 0, 0),
+        bool inverted = false, irr::s32 id = -1);
+  virtual void OnRegisterSceneNode(void);
+  virtual void render(void);
+  virtual const irr::core::aabbox3d<irr::f32> &getBoundingBox(void) const {
+    return Box;
+  }
+  void SetRotationSpeed(float value);
 
-            Blade(Model* parent,const irr::core::vector3df& position = irr::core::vector3df(0,0,0),bool inverted=false,irr::s32 id=-1);
-            virtual void OnRegisterSceneNode(void);
-            virtual void render(void);
-            virtual const irr::core::aabbox3d<irr::f32>& getBoundingBox(void) const
-            {
-                return Box;
-            }
-            void SetRotationSpeed(float value);
-
-
-        private:
-            irr::scene::IMesh *pale;
-            irr::core::aabbox3d<irr::f32> Box;
-            MeshSceneNode *pale_1,*pale_2;
-            irr::scene::ISceneNodeAnimator *anim;
-    };
+private:
+  irr::scene::IMesh *pale;
+  irr::core::aabbox3d<irr::f32> Box;
+  MeshSceneNode *pale_1, *pale_2;
+  irr::scene::ISceneNodeAnimator *anim;
+};
 } // end namespace simulator
 } // end namespace flair
Index: trunk/include/FlairSimulator/Castle.h
===================================================================
--- trunk/include/FlairSimulator/Castle.h	(revision 9)
+++ trunk/include/FlairSimulator/Castle.h	(revision 13)
@@ -19,17 +19,15 @@
 
 #include <Gui.h>
-namespace flair
-{
-namespace simulator
-{
-    class Castle:public Gui
-    {
-        public:
-            Castle(const flair::simulator::Simulator* parent,int app_width, int app_height,int scene_width, int scene_height,std::string media_path);
-            ~Castle();
+namespace flair {
+namespace simulator {
+class Castle : public Gui {
+public:
+  Castle(const flair::simulator::Simulator *parent, int app_width,
+         int app_height, int scene_width, int scene_height,
+         std::string media_path);
+  ~Castle();
 
-        private:
-
-    };
+private:
+};
 } // end namespace simulator
 } // end namespace flair
Index: trunk/include/FlairSimulator/DiscreteTimeVariable.h
===================================================================
--- trunk/include/FlairSimulator/DiscreteTimeVariable.h	(revision 9)
+++ trunk/include/FlairSimulator/DiscreteTimeVariable.h	(revision 13)
@@ -20,36 +20,29 @@
 #include <stdlib.h>
 
-namespace flair
-{
-namespace simulator
-{
-    template <typename T,size_t size>
-    class DiscreteTimeVariable
-    {
-        public:
-            DiscreteTimeVariable(){};
-            ~DiscreteTimeVariable(){};
-            T& operator[](ssize_t idx)
-            {
-                if(idx>0) idx=0;
-                if(idx<(ssize_t)(-size+1)) idx=-size+1;
-                return array[-idx];
-            }
-            const T&operator[](ssize_t idx) const
-            {
-                return const_cast<T&>(*this)[idx];
-            };
-            void Update(void)
-            {
-                for(int i=size-1;i>0;i--)
-                {
-                    array[i]=array[i-1];
-                }
-            }
+namespace flair {
+namespace simulator {
+template <typename T, size_t size> class DiscreteTimeVariable {
+public:
+  DiscreteTimeVariable(){};
+  ~DiscreteTimeVariable(){};
+  T &operator[](ssize_t idx) {
+    if (idx > 0)
+      idx = 0;
+    if (idx < (ssize_t)(-size + 1))
+      idx = -size + 1;
+    return array[-idx];
+  }
+  const T &operator[](ssize_t idx) const {
+    return const_cast<T &>(*this)[idx];
+  };
+  void Update(void) {
+    for (int i = size - 1; i > 0; i--) {
+      array[i] = array[i - 1];
+    }
+  }
 
-        private:
-            T array[size];
-
-    };
+private:
+  T array[size];
+};
 } // end namespace simulator
 } // end namespace flair
Index: trunk/include/FlairSimulator/Gui.h
===================================================================
--- trunk/include/FlairSimulator/Gui.h	(revision 9)
+++ trunk/include/FlairSimulator/Gui.h	(revision 13)
@@ -22,27 +22,22 @@
 #include <vector3d.h>
 
-namespace irr
-{
-    class IrrlichtDevice;
-    namespace video
-    {
-        class ITexture;
-    }
-    namespace scene
-    {
-        class IAnimatedMesh;
-        class ISceneManager;
-    }
+namespace irr {
+class IrrlichtDevice;
+namespace video {
+class ITexture;
+}
+namespace scene {
+class IAnimatedMesh;
+class ISceneManager;
+}
 }
 
-namespace flair
-{
-    namespace core
-    {
-       class Object;
-       class Vector3D;
-       class Euler;
-       class Quaternion;
-    }
+namespace flair {
+namespace core {
+class Object;
+class Vector3D;
+class Euler;
+class Quaternion;
+}
 }
 
@@ -51,103 +46,106 @@
 class Model_impl;
 
-namespace flair
-{
-namespace simulator
-{
-    class Simulator;
+namespace flair {
+namespace simulator {
+class Simulator;
 
-    class Gui: public core::Object
-    {
-        friend class ::Simulator_impl;
+class Gui : public core::Object {
+  friend class ::Simulator_impl;
 
-        public:
-            Gui(const Simulator* parent,std::string name,int app_width, int app_height,int scene_width, int scene_height,std::string media_path,irr::video::E_DRIVER_TYPE driver_type=irr::video::EDT_OPENGL);
-            ~Gui();
-            irr::core::vector3df getRotation(void) const;
-            irr::video::ITexture* getTexture(std::string filename) const;
-            irr::scene::IAnimatedMesh* getMesh(std::string filename) const;
-            irr::scene::ISceneManager* getSceneManager(void) const;
-            float getAspectRatio(void) const;
+public:
+  Gui(const Simulator *parent, std::string name, int app_width, int app_height,
+      int scene_width, int scene_height, std::string media_path,
+      irr::video::E_DRIVER_TYPE driver_type = irr::video::EDT_OPENGL);
+  ~Gui();
+  irr::core::vector3df getRotation(void) const;
+  irr::video::ITexture *getTexture(std::string filename) const;
+  irr::scene::IAnimatedMesh *getMesh(std::string filename) const;
+  irr::scene::ISceneManager *getSceneManager(void) const;
+  float getAspectRatio(void) const;
 
-        protected:
-            irr::IrrlichtDevice *getDevice(void) const;
-            void setMesh(std::string file,irr::core::vector3df position = irr::core::vector3df(0,0,0),irr::core::vector3df rotation= irr::core::vector3df(0,0,0),irr::core::vector3df scale= irr::core::vector3df(1,1,1));
+protected:
+  irr::IrrlichtDevice *getDevice(void) const;
+  void setMesh(std::string file,
+               irr::core::vector3df position = irr::core::vector3df(0, 0, 0),
+               irr::core::vector3df rotation = irr::core::vector3df(0, 0, 0),
+               irr::core::vector3df scale = irr::core::vector3df(1, 1, 1));
 
-        private:
-            Gui_impl *pimpl_;
-    };
+private:
+  Gui_impl *pimpl_;
+};
 
-    /*!
-    * \brief get Gui
-    *
-    * \return the Gui
-    */
-    Gui* getGui(void);
+/*!
+* \brief get Gui
+*
+* \return the Gui
+*/
+Gui *getGui(void);
 
-    bool noGui(void);
+bool noGui(void);
 
-    bool isGlExtensionSupported(const std::string& ext); // check if a extension is supported
+bool isGlExtensionSupported(
+    const std::string &ext); // check if a extension is supported
 
-    /*!
-    * \brief Convert to irrlicht scale
-    *
-    * \param value value in simulator scale
-    *
-    * \return value in irrlicht scale
-    */
-    float ToIrrlichtScale(float value);
+/*!
+* \brief Convert to irrlicht scale
+*
+* \param value value in simulator scale
+*
+* \return value in irrlicht scale
+*/
+float ToIrrlichtScale(float value);
 
-    /*!
-    * \brief Convert to simulator scale
-    *
-    * \param value value in irrlicht scale
-    *
-    * \return value in simulator scale
-    */
-    float ToSimulatorScale(float value);
+/*!
+* \brief Convert to simulator scale
+*
+* \param value value in irrlicht scale
+*
+* \return value in simulator scale
+*/
+float ToSimulatorScale(float value);
 
-    /*!
-    * \brief Convert to irrlicht coordinates
-    *
-    * irrlicht is left handed and as a different scale
-    *
-    * \param vect vector in simulator coordinates
-    *
-    * \return vector in irrlicht coordinates
-    */
-    irr::core::vector3df ToIrrlichtCoordinates(irr::core::vector3df vect);
+/*!
+* \brief Convert to irrlicht coordinates
+*
+* irrlicht is left handed and as a different scale
+*
+* \param vect vector in simulator coordinates
+*
+* \return vector in irrlicht coordinates
+*/
+irr::core::vector3df ToIrrlichtCoordinates(irr::core::vector3df vect);
 
-    /*!
-    * \brief Convert to irrlicht coordinates
-    *
-    * irrlicht is left handed and as a different scale
-    *
-    * \param vect vector in simulator coordinates
-    *
-    * \return vector in irrlicht coordinates
-    */
-    irr::core::vector3df ToIrrlichtCoordinates(core::Vector3D vect);
+/*!
+* \brief Convert to irrlicht coordinates
+*
+* irrlicht is left handed and as a different scale
+*
+* \param vect vector in simulator coordinates
+*
+* \return vector in irrlicht coordinates
+*/
+irr::core::vector3df ToIrrlichtCoordinates(core::Vector3D vect);
 
-    /*!
-    * \brief Convert to simulator coordinates
-    *
-    * irrlicht is left handed and as a different scale
-    *
-    * \param vect vector in irrlicht coordinates
-    *
-    * \return vector in simulator coordinates
-    */
-    core::Vector3D ToSimulatorCoordinates(irr::core::vector3df vect);
+/*!
+* \brief Convert to simulator coordinates
+*
+* irrlicht is left handed and as a different scale
+*
+* \param vect vector in irrlicht coordinates
+*
+* \return vector in simulator coordinates
+*/
+core::Vector3D ToSimulatorCoordinates(irr::core::vector3df vect);
 
-    /*!
-    * \brief Convert to irrlicht orientation
-    *
-    * irrlicht is left handed
-    *
-    * \param quat quaternion in simulator frame
-    *
-    * \return quaternion in irrlicht frame
-    */
-    core::Quaternion ToIrrlichtOrientation(core::Quaternion quat);
+/*!
+* \brief Convert to irrlicht orientation
+*
+* irrlicht is left handed
+*
+* \param quat quaternion in simulator frame
+*
+* \return quaternion in irrlicht frame
+*/
+core::Quaternion ToIrrlichtOrientation(core::Quaternion quat);
 
 } // end namespace simulator
Index: trunk/include/FlairSimulator/Man.h
===================================================================
--- trunk/include/FlairSimulator/Man.h	(revision 9)
+++ trunk/include/FlairSimulator/Man.h	(revision 13)
@@ -20,43 +20,36 @@
 #include <Model.h>
 
-namespace irr
-{
-    namespace scene
-    {
-        class IAnimatedMeshSceneNode;
-    }
+namespace irr {
+namespace scene {
+class IAnimatedMeshSceneNode;
+}
 }
 
-namespace flair
-{
-    namespace gui
-    {
-        class DoubleSpinBox;
-    }
+namespace flair {
+namespace gui {
+class DoubleSpinBox;
+}
 }
 
-namespace flair
-{
-namespace simulator
-{
-    class Simulator;
+namespace flair {
+namespace simulator {
+class Simulator;
 
-    class Man: private Model
-    {
-        public:
-            Man(const Simulator* parent,std::string name);
-            ~Man();
+class Man : private Model {
+public:
+  Man(const Simulator *parent, std::string name);
+  ~Man();
 
-        private:
-            size_t dbtSize(void) const;
-            void WritedbtBuf(char* dbtbuf);
-            void ReaddbtBuf(char* dbtbuf);
-            void CalcModel(void);
-            void AnimateModel(void){};
-            bool OnEvent(const irr::SEvent& event);
+private:
+  size_t dbtSize(void) const;
+  void WritedbtBuf(char *dbtbuf);
+  void ReaddbtBuf(char *dbtbuf);
+  void CalcModel(void);
+  void AnimateModel(void){};
+  bool OnEvent(const irr::SEvent &event);
 
-            irr::scene::IAnimatedMeshSceneNode* node;
-            gui::DoubleSpinBox *t_speed,*r_speed;
-    };
+  irr::scene::IAnimatedMeshSceneNode *node;
+  gui::DoubleSpinBox *t_speed, *r_speed;
+};
 } // end namespace simulator
 } // end namespace flair
Index: trunk/include/FlairSimulator/MeshSceneNode.h
===================================================================
--- trunk/include/FlairSimulator/MeshSceneNode.h	(revision 9)
+++ trunk/include/FlairSimulator/MeshSceneNode.h	(revision 13)
@@ -20,47 +20,39 @@
 #include <IMeshSceneNode.h>
 
-namespace flair
-{
-namespace simulator
-{
-    class Model;
+namespace flair {
+namespace simulator {
+class Model;
 
-    class MeshSceneNode : public irr::scene::IMeshSceneNode
-    {
-        public:
-            MeshSceneNode(Model* parent,irr::scene::IMesh* mesh,
-                const irr::core::vector3df& position = irr::core::vector3df(0,0,0),
-                const irr::core::vector3df& rotation = irr::core::vector3df(0,0,0),
-                irr::video::ITexture* texture=NULL, irr::s32 id=-1);
+class MeshSceneNode : public irr::scene::IMeshSceneNode {
+public:
+  MeshSceneNode(
+      Model *parent, irr::scene::IMesh *mesh,
+      const irr::core::vector3df &position = irr::core::vector3df(0, 0, 0),
+      const irr::core::vector3df &rotation = irr::core::vector3df(0, 0, 0),
+      irr::video::ITexture *texture = NULL, irr::s32 id = -1);
 
-            virtual void OnRegisterSceneNode(void);
-            virtual void render(void);
-            virtual const irr::core::aabbox3d<irr::f32>& getBoundingBox() const
-            {
-                return Box;
-            }
-            virtual irr::u32 getMaterialCount(void) const
-            {
-                return 1;
-            }
-            virtual irr::video::SMaterial& getMaterial(irr::u32 i);
-            virtual void setMesh( irr::scene::IMesh* ptr);
-            virtual  irr::scene::IMesh* getMesh(void);
-            virtual void setReadOnlyMaterials(bool readonly);
-            virtual bool isReadOnlyMaterials(void) const
-            {
-                return false;
-            }
-            virtual irr::scene::IShadowVolumeSceneNode* addShadowVolumeSceneNode(const irr::scene::IMesh* shadowMesh=0,
-            irr::s32 id=-1, bool zfailmethod=true, irr::f32 infinity=1000.0f)
-            {
-                return NULL;
-            }
+  virtual void OnRegisterSceneNode(void);
+  virtual void render(void);
+  virtual const irr::core::aabbox3d<irr::f32> &getBoundingBox() const {
+    return Box;
+  }
+  virtual irr::u32 getMaterialCount(void) const { return 1; }
+  virtual irr::video::SMaterial &getMaterial(irr::u32 i);
+  virtual void setMesh(irr::scene::IMesh *ptr);
+  virtual irr::scene::IMesh *getMesh(void);
+  virtual void setReadOnlyMaterials(bool readonly);
+  virtual bool isReadOnlyMaterials(void) const { return false; }
+  virtual irr::scene::IShadowVolumeSceneNode *
+  addShadowVolumeSceneNode(const irr::scene::IMesh *shadowMesh = 0,
+                           irr::s32 id = -1, bool zfailmethod = true,
+                           irr::f32 infinity = 1000.0f) {
+    return NULL;
+  }
 
-        private:
-            irr::scene::IMesh *mesh;
-            irr::core::aabbox3d<irr::f32> Box;
-            irr::video::SMaterial Material;
-    };
+private:
+  irr::scene::IMesh *mesh;
+  irr::core::aabbox3d<irr::f32> Box;
+  irr::video::SMaterial Material;
+};
 } // end namespace simulator
 } // end namespace flair
Index: trunk/include/FlairSimulator/Model.h
===================================================================
--- trunk/include/FlairSimulator/Model.h	(revision 9)
+++ trunk/include/FlairSimulator/Model.h	(revision 13)
@@ -25,26 +25,21 @@
 #ifdef GL
 #include <aabbox3d.h>
-namespace irr
-{
-    class SEvent;
-    namespace scene
-    {
-        class ISceneManager;
-        class ISceneNode;
-        class ITriangleSelector;
-    }
+namespace irr {
+class SEvent;
+namespace scene {
+class ISceneManager;
+class ISceneNode;
+class ITriangleSelector;
+}
 }
 #endif
 
-namespace flair
-{
-    namespace gui
-    {
-        class TabWidget;
-    }
-    namespace sensor
-    {
-        class SensorGL;
-    }
+namespace flair {
+namespace gui {
+class TabWidget;
+}
+namespace sensor {
+class SensorGL;
+}
 }
 
@@ -53,64 +48,60 @@
 class Model_impl;
 
-namespace flair
-{
-namespace simulator
-{
-    class Simulator;
-    class AnimPoursuite;
+namespace flair {
+namespace simulator {
+class Simulator;
+class AnimPoursuite;
 
-    class Model : public core::IODevice
-    {
-        friend class ::Gui_impl;
-        friend class ::Simulator_impl;
-        friend class ::Model_impl;
-        friend class AnimPoursuite;
-        friend class sensor::SensorGL;
+class Model : public core::IODevice {
+  friend class ::Gui_impl;
+  friend class ::Simulator_impl;
+  friend class ::Model_impl;
+  friend class AnimPoursuite;
+  friend class sensor::SensorGL;
 
-        public:
-            Model(const Simulator* parent,std::string name);
-            virtual ~Model();
+public:
+  Model(const Simulator *parent, std::string name);
+  virtual ~Model();
 
+  typedef struct simu_state {
+    core::Quaternion Quat;
+    core::Vector3D W;
+    core::Vector3D Pos;
+    core::Vector3D Vel;
+  } simu_state_t;
 
-            typedef struct simu_state {
-                core::Quaternion Quat;
-                core::Vector3D W;
-                core::Vector3D Pos;
-                core::Vector3D Vel;
-            } simu_state_t;
+#ifdef GL
+  irr::scene::ISceneNode *getSceneNode() const;
+  irr::core::aabbox3d<irr::f32> *Box() const;
 
-    #ifdef GL
-            irr::scene::ISceneNode* getSceneNode() const;
-            irr::core::aabbox3d<irr::f32>* Box() const;
+  virtual size_t dbtSize(void) const = 0;
+  virtual void Draw(void){};
+  virtual void ExtraDraw(void){};
+  virtual void WritedbtBuf(char *dbtbuf) = 0;
+  virtual void ReaddbtBuf(char *dbtbuf) = 0;
+  virtual bool OnEvent(const irr::SEvent &event) = 0;
 
-            virtual size_t dbtSize(void) const =0;
-            virtual void Draw(void){};
-            virtual void ExtraDraw(void){};
-            virtual void WritedbtBuf(char* dbtbuf)=0;
-            virtual void ReaddbtBuf(char* dbtbuf)=0;
-            virtual bool OnEvent(const irr::SEvent& event)=0;
+  //! Sets the value of the camera's far clipping plane (default: 2000.0f)
+  /** \param zf: New z far value. */
+  void setCameraFarValue(float zf);
+#endif
+  gui::TabWidget *GetTabWidget(void) const;
 
-            //! Sets the value of the camera's far clipping plane (default: 2000.0f)
-            /** \param zf: New z far value. */
-            void setCameraFarValue(float zf);
-    #endif
-            gui::TabWidget* GetTabWidget(void) const;
+protected:
+  DiscreteTimeVariable<simu_state_t, 3> state;
+  float dT(void) const;
+  virtual void CalcModel(void) = 0;
+#ifdef GL
+  AnimPoursuite *getCamera(void) const;
+  virtual void AnimateModel(void) = 0;
+  // void setPosition(core::Vector3D pos);
+  void setScale(float value);
+  void setTriangleSelector(irr::scene::ITriangleSelector *selector);
+#endif
 
-        protected:
-            DiscreteTimeVariable<simu_state_t,3> state;
-            float dT(void) const;
-            virtual void CalcModel(void)=0;
-    #ifdef GL
-            AnimPoursuite* getCamera(void) const;
-            virtual void AnimateModel(void)=0;
-            //void setPosition(core::Vector3D pos);
-            void setScale(float value);
-            void setTriangleSelector(irr::scene::ITriangleSelector* selector);
-    #endif
-
-        private:
-            void UpdateFrom(const core::io_data *data){};
-            class Model_impl* pimpl_;
-    };
+private:
+  void UpdateFrom(const core::io_data *data){};
+  class Model_impl *pimpl_;
+};
 } // end namespace simulator
 } // end namespace flair
Index: trunk/include/FlairSimulator/Parser.h
===================================================================
--- trunk/include/FlairSimulator/Parser.h	(revision 9)
+++ trunk/include/FlairSimulator/Parser.h	(revision 13)
@@ -22,29 +22,27 @@
 #include <libxml/tree.h>
 
-namespace flair
-{
-namespace simulator
-{
-class Parser:public Gui
-{
+namespace flair {
+namespace simulator {
+class Parser : public Gui {
 
-/*can create:
-- cylinders: in y axis
+  /*can create:
+  - cylinders: in y axis
 
-*/
-    public:
-        Parser(Simulator* parent,int app_width, int app_height,int scene_width, int scene_height,std::string media_path, std::string xmlFile);
-        ~Parser();
+  */
+public:
+  Parser(Simulator *parent, int app_width, int app_height, int scene_width,
+         int scene_height, std::string media_path, std::string xmlFile);
+  ~Parser();
 
-
-    private:
-        xmlDoc *doc;
-        std::string media_path;
-        Simulator* parent;
-        void processElements(xmlNode * a_node);
-        void processObjects(xmlNode * a_node);
-        void processParams(xmlNode * a_node);
-        irr::core::vector3df getMeshVect(xmlNode * mesh_node, xmlChar * param);
-        irr::core::vector3df getSceneVect(xmlNode * mesh_node, xmlChar * param, bool isScale=false);
+private:
+  xmlDoc *doc;
+  std::string media_path;
+  Simulator *parent;
+  void processElements(xmlNode *a_node);
+  void processObjects(xmlNode *a_node);
+  void processParams(xmlNode *a_node);
+  irr::core::vector3df getMeshVect(xmlNode *mesh_node, xmlChar *param);
+  irr::core::vector3df getSceneVect(xmlNode *mesh_node, xmlChar *param,
+                                    bool isScale = false);
 };
 }
Index: trunk/include/FlairSimulator/SensorGL.h
===================================================================
--- trunk/include/FlairSimulator/SensorGL.h	(revision 9)
+++ trunk/include/FlairSimulator/SensorGL.h	(revision 13)
@@ -18,42 +18,35 @@
 #define SENSORGL_H
 
-namespace irr
-{
-    namespace scene
-    {
-        class ISceneNode;
-        class ISceneCollisionManager;
-    }
+namespace irr {
+namespace scene {
+class ISceneNode;
+class ISceneCollisionManager;
+}
 }
 
-namespace flair
-{
-    namespace simulator
-    {
-        class Model;
-    }
+namespace flair {
+namespace simulator {
+class Model;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    class SensorGL
-    {
-        public:
-            SensorGL(const simulator::Model *parent);
-            virtual ~SensorGL()=0;
+namespace flair {
+namespace sensor {
+class SensorGL {
+public:
+  SensorGL(const simulator::Model *parent);
+  virtual ~SensorGL() = 0;
 
-        protected:
-    #ifdef GL
-            irr::scene::ISceneCollisionManager* CollMan(void) const;
-            irr::scene::ISceneNode* Node(void) const;
-    #endif
-        private:
-    #ifdef GL
-            irr::scene::ISceneCollisionManager* collMan;
-            irr::scene::ISceneNode* node;
-    #endif
-    };
+protected:
+#ifdef GL
+  irr::scene::ISceneCollisionManager *CollMan(void) const;
+  irr::scene::ISceneNode *Node(void) const;
+#endif
+private:
+#ifdef GL
+  irr::scene::ISceneCollisionManager *collMan;
+  irr::scene::ISceneNode *node;
+#endif
+};
 } // end namespace sensor
 } // end namespace flair
Index: trunk/include/FlairSimulator/SimuCameraGL.h
===================================================================
--- trunk/include/FlairSimulator/SimuCameraGL.h	(revision 9)
+++ trunk/include/FlairSimulator/SimuCameraGL.h	(revision 13)
@@ -18,67 +18,64 @@
 #include <ISceneNodeAnimator.h>
 
-// in order to get function prototypes from glext.h, define GL_GLEXT_PROTOTYPES before including glext.h
+// in order to get function prototypes from glext.h, define GL_GLEXT_PROTOTYPES
+// before including glext.h
 #define GL_GLEXT_PROTOTYPES
 #include <GL/gl.h>
 
-namespace irr
-{
-    namespace scene
-    {
-        class ICameraSceneNode;
-    }
+namespace irr {
+namespace scene {
+class ICameraSceneNode;
+}
 }
 
-namespace flair
-{
-    namespace gui
-    {
-        class DoubleSpinBox;
-        class Vector3DSpinBox;
-    }
-    namespace simulator
-    {
-        class Model;
-    }
+namespace flair {
+namespace gui {
+class DoubleSpinBox;
+class Vector3DSpinBox;
+}
+namespace simulator {
+class Model;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class SimuCameraGL
-    * \brief Class for a simulation camera
-    *
-    */
-    class SimuCameraGL : public SimuCamera, public SensorGL, public irr::scene::ISceneNodeAnimator
-    {
-        public:
-            //top left origin
-            SimuCameraGL(const simulator::Model* parent,std::string name,int width,int height,int x,int y,int dev_id);
-            ~SimuCameraGL();
-            //! Sets the value of the near clipping plane. (default: 1.0f)
-            /** \param zn: New z near value. */
-            void setNearValue(float zn);
+namespace flair {
+namespace sensor {
+/*! \class SimuCameraGL
+* \brief Class for a simulation camera
+*
+*/
+class SimuCameraGL : public SimuCamera,
+                     public SensorGL,
+                     public irr::scene::ISceneNodeAnimator {
+public:
+  // top left origin
+  SimuCameraGL(const simulator::Model *parent, std::string name, int width,
+               int height, int x, int y, int dev_id);
+  ~SimuCameraGL();
+  //! Sets the value of the near clipping plane. (default: 1.0f)
+  /** \param zn: New z near value. */
+  void setNearValue(float zn);
 
-            //! Sets the value of the far clipping plane (default: 2000.0f)
-            /** \param zf: New z far value. */
-            void setFarValue(float zf);
+  //! Sets the value of the far clipping plane (default: 2000.0f)
+  /** \param zf: New z far value. */
+  void setFarValue(float zf);
 
-        private:
-            void UpdateFrom(const core::io_data *data);
-            void animateNode(irr::scene::ISceneNode* node, irr::u32 timeMs);
-            ISceneNodeAnimator* createClone(irr::scene::ISceneNode* node,irr::scene::ISceneManager* newManager=0);
-            void getImage(void);
-            void putImage(char* pixels);
-            irr::scene::ICameraSceneNode* camera;
-            irr::scene::ISceneManager* smgr;
-            gui::Vector3DSpinBox *position,*direction,*up;
-            gui::DoubleSpinBox *fov;
-            int width,height,x,y;
-            char* buffer;
-            bool use_pbo,invert_pixel,disable_output;
-            GLuint *pboIds;
-            int index ;
-    };
+private:
+  void UpdateFrom(const core::io_data *data);
+  void animateNode(irr::scene::ISceneNode *node, irr::u32 timeMs);
+  ISceneNodeAnimator *createClone(irr::scene::ISceneNode *node,
+                                  irr::scene::ISceneManager *newManager = 0);
+  void getImage(void);
+  void putImage(char *pixels);
+  irr::scene::ICameraSceneNode *camera;
+  irr::scene::ISceneManager *smgr;
+  gui::Vector3DSpinBox *position, *direction, *up;
+  gui::DoubleSpinBox *fov;
+  int width, height, x, y;
+  char *buffer;
+  bool use_pbo, invert_pixel, disable_output;
+  GLuint *pboIds;
+  int index;
+};
 } // end namespace simulator
 } // end namespace flair
Index: trunk/include/FlairSimulator/SimuLaserGL.h
===================================================================
--- trunk/include/FlairSimulator/SimuLaserGL.h	(revision 9)
+++ trunk/include/FlairSimulator/SimuLaserGL.h	(revision 13)
@@ -17,40 +17,33 @@
 #include <SensorGL.h>
 
-namespace flair
-{
-    namespace gui
-    {
-        class DoubleSpinBox;
-        class Vector3DSpinBox;
-    }
+namespace flair {
+namespace gui {
+class DoubleSpinBox;
+class Vector3DSpinBox;
+}
 }
 
-namespace flair
-{
-    namespace simulator
-    {
-        class Model;
-    }
+namespace flair {
+namespace simulator {
+class Model;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class SimuUsGL
-    * \brief Class for a simulation us
-    *
-    */
-    class SimuLaserGL : public SimuLaser, public SensorGL
-    {
-        public:
-            SimuLaserGL(const simulator::Model* parent,std::string name,int dev_id);
-            ~SimuLaserGL();
+namespace flair {
+namespace sensor {
+/*! \class SimuUsGL
+* \brief Class for a simulation us
+*
+*/
+class SimuLaserGL : public SimuLaser, public SensorGL {
+public:
+  SimuLaserGL(const simulator::Model *parent, std::string name, int dev_id);
+  ~SimuLaserGL();
 
-        private:
-            void UpdateFrom(const core::io_data *data);
-            gui::DoubleSpinBox *range;
-            gui::Vector3DSpinBox *position,*direction;
-    };
+private:
+  void UpdateFrom(const core::io_data *data);
+  gui::DoubleSpinBox *range;
+  gui::Vector3DSpinBox *position, *direction;
+};
 } // end namespace sensor
 } // end namespace flair
Index: trunk/include/FlairSimulator/SimuUsGL.h
===================================================================
--- trunk/include/FlairSimulator/SimuUsGL.h	(revision 9)
+++ trunk/include/FlairSimulator/SimuUsGL.h	(revision 13)
@@ -17,40 +17,33 @@
 #include <SensorGL.h>
 
-namespace flair
-{
-    namespace gui
-    {
-        class DoubleSpinBox;
-        class Vector3DSpinBox;
-    }
+namespace flair {
+namespace gui {
+class DoubleSpinBox;
+class Vector3DSpinBox;
+}
 }
 
-namespace flair
-{
-    namespace simulator
-    {
-        class Model;
-    }
+namespace flair {
+namespace simulator {
+class Model;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class SimuUsGL
-    * \brief Class for a simulation us
-    *
-    */
-    class SimuUsGL : public SimuUs, public SensorGL
-    {
-        public:
-            SimuUsGL(const simulator::Model* parent,std::string name,int dev_id);
-            ~SimuUsGL();
+namespace flair {
+namespace sensor {
+/*! \class SimuUsGL
+* \brief Class for a simulation us
+*
+*/
+class SimuUsGL : public SimuUs, public SensorGL {
+public:
+  SimuUsGL(const simulator::Model *parent, std::string name, int dev_id);
+  ~SimuUsGL();
 
-        private:
-            void UpdateFrom(const core::io_data *data);
-            gui::DoubleSpinBox *range;
-            gui::Vector3DSpinBox *position,*direction;
-    };
+private:
+  void UpdateFrom(const core::io_data *data);
+  gui::DoubleSpinBox *range;
+  gui::Vector3DSpinBox *position, *direction;
+};
 } // end namespace sensor
 } // end namespace flair
Index: trunk/include/FlairSimulator/Simulator.h
===================================================================
--- trunk/include/FlairSimulator/Simulator.h	(revision 9)
+++ trunk/include/FlairSimulator/Simulator.h	(revision 13)
@@ -24,44 +24,44 @@
 
 namespace flair {
-    namespace core {
-        class Quaternion;
-        class Vector3D;
-    }
+namespace core {
+class Quaternion;
+class Vector3D;
+}
 }
 
-namespace flair
-{
-namespace simulator
-{
-    class Model;
-    class Gui;
+namespace flair {
+namespace simulator {
+class Model;
+class Gui;
 
-    class Simulator: public core::FrameworkManager
-    {
-        friend class Model;
-        friend class Gui;
-        friend class GenericObject;
+class Simulator : public core::FrameworkManager {
+  friend class Model;
+  friend class Gui;
+  friend class GenericObject;
 
-        public:
-            //yaw_deg: rotation of the vrpn coordinate with respect to the earth coordinate, around z axis
-            Simulator(std::string name,int optitrack_mstime=10,float yaw_deg=30);
-            ~Simulator();
-            void RunSimu(void);
-            //get rotation of the vrpn coordinate with respect to the earth coordinate, around z axis; in radians
-            float Yaw(void) const;
-            //compute rotation of the vrpn coordinate with respect to the earth coordinate, around z axis
-            core::Quaternion ToVRPNReference(core::Quaternion quat_in);
-            core::Vector3D ToVRPNReference(core::Vector3D point_in);
+public:
+  // yaw_deg: rotation of the vrpn coordinate with respect to the earth
+  // coordinate, around z axis
+  Simulator(std::string name, int optitrack_mstime = 10, float yaw_deg = 30);
+  ~Simulator();
+  void RunSimu(void);
+  // get rotation of the vrpn coordinate with respect to the earth coordinate,
+  // around z axis; in radians
+  float Yaw(void) const;
+  // compute rotation of the vrpn coordinate with respect to the earth
+  // coordinate, around z axis
+  core::Quaternion ToVRPNReference(core::Quaternion quat_in);
+  core::Vector3D ToVRPNReference(core::Vector3D point_in);
 
-        private:
-            Simulator_impl* pimpl_;
-    };
+private:
+  Simulator_impl *pimpl_;
+};
 
-    /*!
-    * \brief get Simulator
-    *
-    * \return the Simulator
-    */
-    Simulator* getSimulator(void);
+/*!
+* \brief get Simulator
+*
+* \return the Simulator
+*/
+Simulator *getSimulator(void);
 
 } // end namespace simulator
Index: trunk/include/FlairSimulator/X4.h
===================================================================
--- trunk/include/FlairSimulator/X4.h	(revision 9)
+++ trunk/include/FlairSimulator/X4.h	(revision 13)
@@ -22,71 +22,62 @@
 #include <stdio.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class Mutex;
-    }
-    namespace gui
-    {
-        class DoubleSpinBox;
-    }
-    namespace actuator
-    {
-        class SimuBldc;
-    }
+namespace flair {
+namespace core {
+class Mutex;
+}
+namespace gui {
+class DoubleSpinBox;
+}
+namespace actuator {
+class SimuBldc;
+}
 }
 
 #ifdef GL
-namespace irr
-{
-    namespace scene
-    {
-        class IMesh;
-    }
+namespace irr {
+namespace scene {
+class IMesh;
+}
 }
 #endif
 
-namespace flair
-{
-namespace simulator
-{
-    class Simulator;
-    class Blade;
-    class MeshSceneNode;
+namespace flair {
+namespace simulator {
+class Simulator;
+class Blade;
+class MeshSceneNode;
 
-    class X4 : public Model
-    {
-        public:
-            X4(const Simulator* parent,std::string name, int dev_id);
-            ~X4();
+class X4 : public Model {
+public:
+  X4(const Simulator *parent, std::string name, int dev_id);
+  ~X4();
 #ifdef GL
-            virtual void Draw(void);
-            virtual void ExtraDraw(void){};
+  virtual void Draw(void);
+  virtual void ExtraDraw(void){};
 
-        protected:
-                    irr::scene::IMesh *red_arm,*black_arm,*motor;
-                    MeshSceneNode *fl_arm,*fr_arm,*rl_arm,*rr_arm;
-                    MeshSceneNode *fl_motor,*fr_motor,*rl_motor,*rr_motor;
-                    Blade *fl_blade,*fr_blade,*rl_blade,*rr_blade;
-                    core::Mutex *motor_speed_mutex;
+protected:
+  irr::scene::IMesh *red_arm, *black_arm, *motor;
+  MeshSceneNode *fl_arm, *fr_arm, *rl_arm, *rr_arm;
+  MeshSceneNode *fl_motor, *fr_motor, *rl_motor, *rr_motor;
+  Blade *fl_blade, *fr_blade, *rl_blade, *rr_blade;
+  core::Mutex *motor_speed_mutex;
 #endif
-        private:
-            void CalcModel(void);
-    #ifdef GL
-            bool OnEvent(const irr::SEvent& event){};
-            void AnimateModel(void);
-            size_t dbtSize(void) const;
-            void WritedbtBuf(char* dbtbuf);
-            void ReaddbtBuf(char* dbtbuf);
-    #endif
+private:
+  void CalcModel(void);
+#ifdef GL
+  bool OnEvent(const irr::SEvent &event){};
+  void AnimateModel(void);
+  size_t dbtSize(void) const;
+  void WritedbtBuf(char *dbtbuf);
+  void ReaddbtBuf(char *dbtbuf);
+#endif
 
-            actuator::SimuBldc *motors;
-            float motor_speed[4];
-            gui::DoubleSpinBox *m,*arm_length,*l_cg;
-            gui::DoubleSpinBox *k_mot,*c_mot;
-            gui::DoubleSpinBox *f_air_vert,*f_air_lat;
-            gui::DoubleSpinBox *j_roll,*j_pitch,*j_yaw;
-    };
+  actuator::SimuBldc *motors;
+  float motor_speed[4];
+  gui::DoubleSpinBox *m, *arm_length, *l_cg;
+  gui::DoubleSpinBox *k_mot, *c_mot;
+  gui::DoubleSpinBox *f_air_vert, *f_air_lat;
+  gui::DoubleSpinBox *j_roll, *j_pitch, *j_yaw;
+};
 } // end namespace simulator
 } // end namespace flair
Index: trunk/include/FlairSimulator/X8.h
===================================================================
--- trunk/include/FlairSimulator/X8.h	(revision 9)
+++ trunk/include/FlairSimulator/X8.h	(revision 13)
@@ -21,73 +21,65 @@
 #include <stdint.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class Mutex;
-    }
-    namespace gui
-    {
-        class DoubleSpinBox;
-    }
-    namespace actuator
-    {
-        class SimuBldc;
-    }
+namespace flair {
+namespace core {
+class Mutex;
+}
+namespace gui {
+class DoubleSpinBox;
+}
+namespace actuator {
+class SimuBldc;
+}
 }
 
 #ifdef GL
-namespace irr
-{
-    namespace scene
-    {
-        class IMesh;
-    }
+namespace irr {
+namespace scene {
+class IMesh;
+}
 }
 #endif
 
-namespace flair
-{
-namespace simulator
-{
-    class Simulator;
-    class Blade;
-    class MeshSceneNode;
+namespace flair {
+namespace simulator {
+class Simulator;
+class Blade;
+class MeshSceneNode;
 
-    class X8 : public Model
-    {
-        public:
-            X8(const Simulator* parent,std::string name, int dev_id);
-            ~X8();
-            virtual void Draw(void);
-			virtual void ExtraDraw(void){};
-        protected:
+class X8 : public Model {
+public:
+  X8(const Simulator *parent, std::string name, int dev_id);
+  ~X8();
+  virtual void Draw(void);
+  virtual void ExtraDraw(void){};
+
+protected:
 #ifdef GL
-            irr::scene::IMesh *red_arm,*black_arm,*motor;
-			MeshSceneNode *fl_arm,*fr_arm,*rl_arm,*rr_arm;
-			MeshSceneNode *tfl_motor,*tfr_motor,*trl_motor,*trr_motor;
-			MeshSceneNode *bfl_motor,*bfr_motor,*brl_motor,*brr_motor;
-			Blade *tfl_blade,*tfr_blade,*trl_blade,*trr_blade;
-			Blade *bfl_blade,*bfr_blade,*brl_blade,*brr_blade;
+  irr::scene::IMesh *red_arm, *black_arm, *motor;
+  MeshSceneNode *fl_arm, *fr_arm, *rl_arm, *rr_arm;
+  MeshSceneNode *tfl_motor, *tfr_motor, *trl_motor, *trr_motor;
+  MeshSceneNode *bfl_motor, *bfr_motor, *brl_motor, *brr_motor;
+  Blade *tfl_blade, *tfr_blade, *trl_blade, *trr_blade;
+  Blade *bfl_blade, *bfr_blade, *brl_blade, *brr_blade;
 #endif
-        private:
-            void CalcModel(void);
-    #ifdef GL
-            bool OnEvent(const irr::SEvent& event){};
-            void AnimateModel(void);
-            size_t dbtSize(void) const;
-            void WritedbtBuf(char* dbtbuf);
-            void ReaddbtBuf(char* dbtbuf);
-            core::Mutex *motor_speed_mutex;
-    #endif
+private:
+  void CalcModel(void);
+#ifdef GL
+  bool OnEvent(const irr::SEvent &event){};
+  void AnimateModel(void);
+  size_t dbtSize(void) const;
+  void WritedbtBuf(char *dbtbuf);
+  void ReaddbtBuf(char *dbtbuf);
+  core::Mutex *motor_speed_mutex;
+#endif
 
-            actuator::SimuBldc *motors;
-            float motor_speed[8];
-            gui::DoubleSpinBox *m,*arm_length,*l_cg;
-            gui::DoubleSpinBox *k_mot,*c_mot;
-            gui::DoubleSpinBox *f_air_vert,*f_air_lat;
-            gui::DoubleSpinBox *j_roll,*j_pitch,*j_yaw;
-            gui::DoubleSpinBox *j_r,*sigma,*S;
-    };
+  actuator::SimuBldc *motors;
+  float motor_speed[8];
+  gui::DoubleSpinBox *m, *arm_length, *l_cg;
+  gui::DoubleSpinBox *k_mot, *c_mot;
+  gui::DoubleSpinBox *f_air_vert, *f_air_lat;
+  gui::DoubleSpinBox *j_roll, *j_pitch, *j_yaw;
+  gui::DoubleSpinBox *j_r, *sigma, *S;
+};
 } // end namespace simulator
 } // end namespace flair
